## teams-for-linux 1.4.18

=== debian/changelog ===
teams-for-linux (1.4.18-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Thu, 04 Apr 2024 19:28:59 +0200
