## teams-for-linux 1.4.39

=== debian/changelog ===
teams-for-linux (1.4.39-0+270.7) unstable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Sat, 17 May 2025 10:40:55 +0000

teams-for-linux (1.4.39-0) unstable; urgency=low

  * Initial release.
    OBS cannot sometimes read debian.changelog even if it is there.
    The reason to debian.changelog reported missing can be that 
    the following 'teams-for-linux.dsc' lines have wrong filenames:
    
    DEBTRANSFORM-FILES: teams-for-linux-1.2.3.tar.bz2  debian.tar.xz
    DEBTRANSFORM-TAR: teams-for-linux-1.2.3.tar.bz2
    
    For a correct format of this file, see deb-changelog(5).
    Note two spaces before the day name below.

 -- Ismael Martinez <ismaelmartinez@gmail.com>  Thu, 8 Jun 2023 07:00:00 -0300
