=== debian/control ===
Source: teams-for-linux
Maintainer: Ismael Martinez <ismaelmartinez@gmail.com>
Build-Depends: debhelper (>= 9),
#              use .dsc file to control build dependencies
#              since there may be different dependencies in
#              different Debian/Ubuntu versions         
Standards-Version: 4.5.0
Section: net

Package: teams-for-linux
Architecture: any
Depends: ${shlibs:Depends}, 
         ${misc:Depends}, 
         libgtk-3-0, 
         libnotify4, 
         libnss3, 
         libxss1, 
         libxtst6, 
         xdg-utils, 
         libatspi2.0-0, 
         libuuid1, 
         libsecret-1-0,
         firejail,
Recommends: libappindicator3-1
Section: net
Priority: optional
Homepage: https://github.com/IsmaelMartinez/teams-for-linux
Description: Teams for Linux
  Unofficial Microsoft Teams client for Linux using Electron. 
  It uses the Web App and wraps it as a standalone application
  using Electron.
